> For the complete documentation index, see [llms.txt](https://docs.cn.omnibridge.pro/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cn.omnibridge.pro/integration/batch-submit-hash.md).

# 批量提交存币hash

**1. 接口调用：**

&#x20;`https://{host}/api/v2/batchModifyTxId`

**2. 请求参数实例**

| 参数             | 是否必须 | 说明               |
| -------------- | ---- | ---------------- |
| modifyTxIdList | 是    | 交易信息集合(数量最多1000) |
| orderId        | 是    | 交易订单号            |
| depositTxid    | 是    | 交易hash值          |

**3.请求参数示例**

```
{
  "modifyTxIdList": [
    {
      "orderId": "33434232-1556-yt6g-99a8-2c303f490c2c",
      "depositTxid": "0x643ccccccccccccccc4c4"
    },
    {
      "orderId": "33120af8-1866-4cb6-99a8-2c303f490c2c",
      "depositTxid": "0x123aaaaaaaaaaaaaaaaa6"
    }
  ]
}
```

**4.返回结果示例**

```
{
    "resCode": "800",
    "resMsg": "成功",
    "data": {
        "successNum": 1,    //上传成功的订单数
        "failIds": [        //上传失败的订单id集合,失败原因：订单已有hash、上传的hash不规范
            "1"
        ]
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cn.omnibridge.pro/integration/batch-submit-hash.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
